<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ImpUserAddress StructType
 * @subpackage Structs
 */
class ImpUserAddress extends AbstractStructBase
{
    /**
     * The id
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $id;
    /**
     * The location
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $location;
    /**
     * The city
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $city;
    /**
     * The area
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $area;
    /**
     * The metro
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $metro;
    /**
     * The street
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $street;
    /**
     * The house
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $house;
    /**
     * The userCase
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $userCase;
    /**
     * The apartment
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $apartment;
    /**
     * The building
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $building;
    /**
     * The entrance
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $entrance;
    /**
     * The intercom
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $intercom;
    /**
     * The floor
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $floor;
    /**
     * The FullAddress
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $FullAddress;
    /**
     * The comment
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $comment;
    /**
     * The distanceFromMKAD
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $distanceFromMKAD;
    /**
     * The zipCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $zipCode;
    /**
     * Constructor method for ImpUserAddress
     * @uses ImpUserAddress::setId()
     * @uses ImpUserAddress::setLocation()
     * @uses ImpUserAddress::setCity()
     * @uses ImpUserAddress::setArea()
     * @uses ImpUserAddress::setMetro()
     * @uses ImpUserAddress::setStreet()
     * @uses ImpUserAddress::setHouse()
     * @uses ImpUserAddress::setUserCase()
     * @uses ImpUserAddress::setApartment()
     * @uses ImpUserAddress::setBuilding()
     * @uses ImpUserAddress::setEntrance()
     * @uses ImpUserAddress::setIntercom()
     * @uses ImpUserAddress::setFloor()
     * @uses ImpUserAddress::setFullAddress()
     * @uses ImpUserAddress::setComment()
     * @uses ImpUserAddress::setDistanceFromMKAD()
     * @uses ImpUserAddress::setZipCode()
     * @param int $id
     * @param string $location
     * @param string $city
     * @param string $area
     * @param string $metro
     * @param string $street
     * @param string $house
     * @param string $userCase
     * @param string $apartment
     * @param string $building
     * @param string $entrance
     * @param string $intercom
     * @param string $floor
     * @param string $fullAddress
     * @param string $comment
     * @param string $distanceFromMKAD
     * @param string $zipCode
     */
    public function __construct($id = null, $location = null, $city = null, $area = null, $metro = null, $street = null, $house = null, $userCase = null, $apartment = null, $building = null, $entrance = null, $intercom = null, $floor = null, $fullAddress = null, $comment = null, $distanceFromMKAD = null, $zipCode = null)
    {
        $this
            ->setId($id)
            ->setLocation($location)
            ->setCity($city)
            ->setArea($area)
            ->setMetro($metro)
            ->setStreet($street)
            ->setHouse($house)
            ->setUserCase($userCase)
            ->setApartment($apartment)
            ->setBuilding($building)
            ->setEntrance($entrance)
            ->setIntercom($intercom)
            ->setFloor($floor)
            ->setFullAddress($fullAddress)
            ->setComment($comment)
            ->setDistanceFromMKAD($distanceFromMKAD)
            ->setZipCode($zipCode);
    }
    /**
     * Get id value
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param int $id
     * @return \StructType\ImpUserAddress
     */
    public function setId($id = null)
    {
        // validation for constraint: int
        if (!is_null($id) && !(is_int($id) || ctype_digit($id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->id = $id;
        return $this;
    }
    /**
     * Get location value
     * @return string|null
     */
    public function getLocation()
    {
        return $this->location;
    }
    /**
     * Set location value
     * @param string $location
     * @return \StructType\ImpUserAddress
     */
    public function setLocation($location = null)
    {
        // validation for constraint: string
        if (!is_null($location) && !is_string($location)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($location, true), gettype($location)), __LINE__);
        }
        $this->location = $location;
        return $this;
    }
    /**
     * Get city value
     * @return string|null
     */
    public function getCity()
    {
        return $this->city;
    }
    /**
     * Set city value
     * @param string $city
     * @return \StructType\ImpUserAddress
     */
    public function setCity($city = null)
    {
        // validation for constraint: string
        if (!is_null($city) && !is_string($city)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($city, true), gettype($city)), __LINE__);
        }
        $this->city = $city;
        return $this;
    }
    /**
     * Get area value
     * @return string|null
     */
    public function getArea()
    {
        return $this->area;
    }
    /**
     * Set area value
     * @param string $area
     * @return \StructType\ImpUserAddress
     */
    public function setArea($area = null)
    {
        // validation for constraint: string
        if (!is_null($area) && !is_string($area)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($area, true), gettype($area)), __LINE__);
        }
        $this->area = $area;
        return $this;
    }
    /**
     * Get metro value
     * @return string|null
     */
    public function getMetro()
    {
        return $this->metro;
    }
    /**
     * Set metro value
     * @param string $metro
     * @return \StructType\ImpUserAddress
     */
    public function setMetro($metro = null)
    {
        // validation for constraint: string
        if (!is_null($metro) && !is_string($metro)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($metro, true), gettype($metro)), __LINE__);
        }
        $this->metro = $metro;
        return $this;
    }
    /**
     * Get street value
     * @return string|null
     */
    public function getStreet()
    {
        return $this->street;
    }
    /**
     * Set street value
     * @param string $street
     * @return \StructType\ImpUserAddress
     */
    public function setStreet($street = null)
    {
        // validation for constraint: string
        if (!is_null($street) && !is_string($street)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($street, true), gettype($street)), __LINE__);
        }
        $this->street = $street;
        return $this;
    }
    /**
     * Get house value
     * @return string|null
     */
    public function getHouse()
    {
        return $this->house;
    }
    /**
     * Set house value
     * @param string $house
     * @return \StructType\ImpUserAddress
     */
    public function setHouse($house = null)
    {
        // validation for constraint: string
        if (!is_null($house) && !is_string($house)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($house, true), gettype($house)), __LINE__);
        }
        $this->house = $house;
        return $this;
    }
    /**
     * Get userCase value
     * @return string|null
     */
    public function getUserCase()
    {
        return $this->userCase;
    }
    /**
     * Set userCase value
     * @param string $userCase
     * @return \StructType\ImpUserAddress
     */
    public function setUserCase($userCase = null)
    {
        // validation for constraint: string
        if (!is_null($userCase) && !is_string($userCase)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($userCase, true), gettype($userCase)), __LINE__);
        }
        $this->userCase = $userCase;
        return $this;
    }
    /**
     * Get apartment value
     * @return string|null
     */
    public function getApartment()
    {
        return $this->apartment;
    }
    /**
     * Set apartment value
     * @param string $apartment
     * @return \StructType\ImpUserAddress
     */
    public function setApartment($apartment = null)
    {
        // validation for constraint: string
        if (!is_null($apartment) && !is_string($apartment)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($apartment, true), gettype($apartment)), __LINE__);
        }
        $this->apartment = $apartment;
        return $this;
    }
    /**
     * Get building value
     * @return string|null
     */
    public function getBuilding()
    {
        return $this->building;
    }
    /**
     * Set building value
     * @param string $building
     * @return \StructType\ImpUserAddress
     */
    public function setBuilding($building = null)
    {
        // validation for constraint: string
        if (!is_null($building) && !is_string($building)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($building, true), gettype($building)), __LINE__);
        }
        $this->building = $building;
        return $this;
    }
    /**
     * Get entrance value
     * @return string|null
     */
    public function getEntrance()
    {
        return $this->entrance;
    }
    /**
     * Set entrance value
     * @param string $entrance
     * @return \StructType\ImpUserAddress
     */
    public function setEntrance($entrance = null)
    {
        // validation for constraint: string
        if (!is_null($entrance) && !is_string($entrance)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($entrance, true), gettype($entrance)), __LINE__);
        }
        $this->entrance = $entrance;
        return $this;
    }
    /**
     * Get intercom value
     * @return string|null
     */
    public function getIntercom()
    {
        return $this->intercom;
    }
    /**
     * Set intercom value
     * @param string $intercom
     * @return \StructType\ImpUserAddress
     */
    public function setIntercom($intercom = null)
    {
        // validation for constraint: string
        if (!is_null($intercom) && !is_string($intercom)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($intercom, true), gettype($intercom)), __LINE__);
        }
        $this->intercom = $intercom;
        return $this;
    }
    /**
     * Get floor value
     * @return string|null
     */
    public function getFloor()
    {
        return $this->floor;
    }
    /**
     * Set floor value
     * @param string $floor
     * @return \StructType\ImpUserAddress
     */
    public function setFloor($floor = null)
    {
        // validation for constraint: string
        if (!is_null($floor) && !is_string($floor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($floor, true), gettype($floor)), __LINE__);
        }
        $this->floor = $floor;
        return $this;
    }
    /**
     * Get FullAddress value
     * @return string|null
     */
    public function getFullAddress()
    {
        return $this->FullAddress;
    }
    /**
     * Set FullAddress value
     * @param string $fullAddress
     * @return \StructType\ImpUserAddress
     */
    public function setFullAddress($fullAddress = null)
    {
        // validation for constraint: string
        if (!is_null($fullAddress) && !is_string($fullAddress)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fullAddress, true), gettype($fullAddress)), __LINE__);
        }
        $this->FullAddress = $fullAddress;
        return $this;
    }
    /**
     * Get comment value
     * @return string|null
     */
    public function getComment()
    {
        return $this->comment;
    }
    /**
     * Set comment value
     * @param string $comment
     * @return \StructType\ImpUserAddress
     */
    public function setComment($comment = null)
    {
        // validation for constraint: string
        if (!is_null($comment) && !is_string($comment)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($comment, true), gettype($comment)), __LINE__);
        }
        $this->comment = $comment;
        return $this;
    }
    /**
     * Get distanceFromMKAD value
     * @return string|null
     */
    public function getDistanceFromMKAD()
    {
        return $this->distanceFromMKAD;
    }
    /**
     * Set distanceFromMKAD value
     * @param string $distanceFromMKAD
     * @return \StructType\ImpUserAddress
     */
    public function setDistanceFromMKAD($distanceFromMKAD = null)
    {
        // validation for constraint: string
        if (!is_null($distanceFromMKAD) && !is_string($distanceFromMKAD)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($distanceFromMKAD, true), gettype($distanceFromMKAD)), __LINE__);
        }
        $this->distanceFromMKAD = $distanceFromMKAD;
        return $this;
    }
    /**
     * Get zipCode value
     * @return string|null
     */
    public function getZipCode()
    {
        return $this->zipCode;
    }
    /**
     * Set zipCode value
     * @param string $zipCode
     * @return \StructType\ImpUserAddress
     */
    public function setZipCode($zipCode = null)
    {
        // validation for constraint: string
        if (!is_null($zipCode) && !is_string($zipCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($zipCode, true), gettype($zipCode)), __LINE__);
        }
        $this->zipCode = $zipCode;
        return $this;
    }
}
